package com.sifang.modules.supply.order.vo;

import java.util.List;
import java.util.Map;

public class OrderDetailVo {

    /**
     * 订单id
     */
    private String id;
    /**
     * 订单编号
     */
    private String number;
    /**
     * 订单状态
     */
    private String status;
    /**
     * 订单类型
     */
    private String type;
    /**
     * 订单来源
     */
    private String pattern;
    /**
     * 供应商名称
     */
    private String gysName;
    /**
     * 仓库名称
     */
    private String ckName;
    /**
     * 仓库接收人
     */
    private String personInCharge;
    /**
     * 接收人手机号
     */
    private String  mobile;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 地址
     */
    private String address;
    /**
     * 入库备注
     */
    private String inStockRemarks;
    /**
     * 入库凭证
     */
    private String inStockProof;
    /**
     * 凭证地址
     */
    private String inStockProofUrl;
    /**
     * 企企附件
     */
    private List<Map> attachmentMap;

    public List<Map> getAttachmentMap() {
        return attachmentMap;
    }

    public void setAttachmentMap(List<Map> attachmentMap) {
        this.attachmentMap = attachmentMap;
    }

    /**
     * 订单物品集合
     */
    private List<OrderDetailListVo> list;


    public String getInStockProofUrl() {
        return inStockProofUrl;
    }

    public void setInStockProofUrl(String inStockProofUrl) {
        this.inStockProofUrl = inStockProofUrl;
    }

    public String getInStockRemarks() {
        return inStockRemarks;
    }

    public void setInStockRemarks(String inStockRemarks) {
        this.inStockRemarks = inStockRemarks;
    }

    public String getInStockProof() {
        return inStockProof;
    }

    public void setInStockProof(String inStockProof) {
        this.inStockProof = inStockProof;
    }

    public List<OrderDetailListVo> getList() {
        return list;
    }

    public void setList(List<OrderDetailListVo> list) {
        this.list = list;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPattern() {
        return pattern;
    }

    public void setPattern(String pattern) {
        this.pattern = pattern;
    }

    public String getGysName() {
        return gysName;
    }

    public void setGysName(String gysName) {
        this.gysName = gysName;
    }

    public String getCkName() {
        return ckName;
    }

    public void setCkName(String ckName) {
        this.ckName = ckName;
    }

    public String getPersonInCharge() {
        return personInCharge;
    }

    public void setPersonInCharge(String personInCharge) {
        this.personInCharge = personInCharge;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }
}
